curl --request POST \
--url https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"locationExternalReference": "Company_Club",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redeemAuditUser": "Joe"
}
'import requests
url = "https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward"
payload = {
"redemptionCode": "04c229d7-03cb-421f-9d77-1c0ff1fc2641",
"locationExternalReference": "Company_Club",
"profileId": "67460e74-02e3-11e8-b443-00163e990bdb",
"redeemAuditUser": "Joe"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redemptionCode: '04c229d7-03cb-421f-9d77-1c0ff1fc2641',
locationExternalReference: 'Company_Club',
profileId: '67460e74-02e3-11e8-b443-00163e990bdb',
redeemAuditUser: 'Joe'
})
};
fetch('https://vanilla-dev02-loyalty.fabric.zone/api/v1/redeem/member-reward', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Redeem Member Reward succeed.",
"errors": {},
"data": null
}{
"message": "Error message string",
"errors": {
"ExceptionString": [
"Invalid Field"
]
},
"data": null,
"status": 400
}{
"detail": "Authentication Failed"
}Redeem Rewards
Confirms the redemption and marks the reward as used. This is done based on the redemptionCode that is generated from the response of the ‘Issue Variable Rewards’ - POST /api/v1/redeem/reward/issue endpoint.
Note:
1) Rewards have to be issued before they can be redeemed.
2) Rewards must be within their expiration date.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Reward details
Redemption code. This code must be specified. Redemption code is generated in the response of the Issue Variable Rewards (POST /api/v1/redeem/reward/issue) endpoint.
"04c229d7-03cb-421f-9d77-1c0ff1fc2641"
Represents the store where the rewards are being redeemed. Each store (online, physical or POS) has a unique locationExternalReference name or ID.
1"Company_Club"
Profile ID of the member. In an ecosystem, it acts as a primary ID to keep the various systems (apps, websites, etc.) in sync.
"67460e74-02e3-11e8-b443-00163e990bdb"
Representative who is issuing the reward redemption.
1"Joe"
Response
OK
Response (metadata) of redeemed rewards
Was this page helpful?
